## com.vividsolutions.jts.algorithm
Class IndexedPointInAreaLocator

    java.lang.Object
      com.vividsolutions.jts.algorithm.IndexedPointInAreaLocator

All Implemented Interfaces:
  PointInAreaLocator

public class IndexedPointInAreaLocator
extends java.lang.Object
implements PointInAreaLocator

Determines the location of `Coordinate`s relative to a `Polygonal` geometry, using indexing for efficiency. This algorithm is suitable for use in cases where many points will be tested against a given area.

Author:
  Martin Davis

Constructor Summary
`IndexedPointInAreaLocator(Geometry g)` Creates a new locator for a given `Geometry`

Method Summary
`int` `locate(Coordinate p)` Determines the `Location` of a point in an areal `Geometry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedPointInAreaLocator

    public IndexedPointInAreaLocator(Geometry g)

  Creates a new locator for a given `Geometry`

Parameters:
  `g` - the Geometry to locate in

Method Detail

### locate

    public int locate(Coordinate p)

  Determines the `Location` of a point in an areal `Geometry`.

  Specified by:
    `locate` in interface `PointInAreaLocator`
  Parameters:
    `p` - the point to test
  Returns:
    the location of the point in the geometry